<!doctype html>
<html lang="en">
<head>
  <%= csrf_meta_tags %>
</head>
<body>
  <div class="container">
    <div class="wrapper col-lg-offset-3 col-lg-6">
      <%= form_for(resource,:html => {:class => 'form-signin'}, as: resource_name, url: registration_path(resource_name)) do |f| %>
          <% if devise_error_messages! != "" %>
          <div class="alert alert-danger">
            <a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>
            <%= devise_error_messages! %>  
          </div>
          <%end%>
        <h3 class="form-signin-heading" align="center">Sign up</h3>
          <%= f.label :email %>
          <%= f.email_field :email, autofocus: true, autocomplete: "email", class: "form-control",placeholder: "Email Address", required: "" %><br>
          <%= f.label :password %>
          <% if @minimum_password_length %>
            <em>(<%= @minimum_password_length %> characters minimum)</em>
          <% end %><br />
          <%= f.password_field :password, autocomplete: "new-password", class: "form-control",placeholder: "Password", required: "" %> <br>

          <%= f.label :password_confirmation %><br />
          <%= f.password_field :password_confirmation, autocomplete: "new-password", class: "form-control", placeholder: "Password confirmation", required: "" %>
          <br>
          <%= f.submit "Sign up", class: "btn btn-lg btn-primary btn-block" %>  
          <br>
          <%= render "devise/shared/links" %>
      <% end %>
    </div>
  </div>
</body>
</html>
